<template>
	<div class="code-section">
		<pre><code>{{codeText}}</code></pre>
	</div>
</template>

<script>
export default {
	props: {
		codeText: {
			type: String,
			required: true
		}
	}
}
</script>

<style lang="scss" scoped>
code {
	padding: 8px;
	background: #efecf4;
	width: 100%;
	display: block;
	overflow-x: auto;
}
</style>
